// Examen - Ex1.2 - Correction J.M.B.

#include <stdio.h>
#include <math.h> // cf. sqrt(), lier avec "-lm" à la compilation !

int polyDegreDeux(float a, float b, float c, float *x1, float *x2);

int main(void)
{
	float a, b, c, x1, x2;
	
	printf("************************\n"); // en-tête pour faire joli (non demandé)
	printf("*** ax² + bx + c = 0 ***\n");
	printf("************************\n\n");
	
	printf("Entrer un réel a : ");
	scanf("%f", &a);
	
	printf("Entrer un réel b : ");
	scanf("%f", &b);
	
	printf("Entrer un réel c : ");
	scanf("%f", &c);
	
	int nr = polyDegreDeux(a, b, c, &x1, &x2);
	
	if (nr <= 1) // variante pour ceux qui aiment l'orthographe
		printf("l'équation a %d racine réelle\n", nr);
	else
		printf("l'équation a %d racines réelles\n", nr);
	
	if (nr == 1)
	{
		printf("x = %f\n", x1);
	}
	
	if (nr == 2)
	{
		printf("x1 = %f et x2 = %f\n", x1, x2);
	}
	
    return 0;
}

int polyDegreDeux(float a, float b, float c, float *x1, float *x2)
{
	// Cette partie n'était pas demandée !
	int nRac; // nombre de racines
	
	float delta = b*b-4*a*c;
	printf("\nDelta = %f -> ", delta);
	
	if (delta < 0)
	{
		nRac = 0;
		
		//printf("L'équation n'a pas de racine réelle !\n");
	}
	else if (delta == 0)
	{
		nRac = 1;
    	*x1 = -b/(2*a);
    	
		//printf("L'équation a une racine réelle double x !\n");
	}
	else // delta > 0
	{
		nRac = 2;
    	*x1 = (-b-sqrt(delta))/(2*a);
    	*x2 = (-b+sqrt(delta))/(2*a);
    	
		//printf("L'équation a deux racines réelles x1 et x2 !\n");
	}
	
	return nRac;
}

