/* Exercice 1 - Correction J.M.B.

Ci-dessous, ce sont les directives de préprocesseur. Ces lignes permettent
d'ajouter des fichiers au projet, fichiers que l'on appelle "bibliothèques".
Grâce à ces bibliothèques on dispose de fonctions toutes prêtes.
*/
#include <stdio.h>    // indispensable pour utliser la fonction "printf" ici
//#include <stdlib.h> // pas utile ici mais souvent nécessaire

/*
 Ci-dessous, vous avez la fonction principale du programme, appelée "main".
 C'est par cette fonction que tous les programmes commencent. Ici, la
 fonction se contente d'afficher "Hello World" à l'écran.
*/
int main(void)
{
	printf("Hello World\n"); // Cette instruction affiche "Hello World" à l'écran.

	return 0;	 			 // Le programme renvoie le chiffre 0 pour dire
							 //  que tout va bien (1 sinon) puis s'arrête.
}

/*
Il y a 2 façons de compiler le programme "ex1" ici. Pour rappel on a :
gcc [arguments] [fichiers à compiler] (-o fichier de sortie)

1/ Compilation en 2 temps qui décrit bien le processus :
gcc -c ex1.c -o ex1.o
gcc ex1.o -o ex1

2/ Instruction plus courte mais moins explicite :
gcc ex1.c -o ex1

Pour exécuter le programme :
./ex1

-> Références pour bien revoir tout ça en détail :
http://www.siteduzero.com/tutoriel-3-14189-apprenez-a-programmer-en-c.html

Sinon ne pas oublier que la doc du compilateur est disponible en ligne avec :
man gcc
*/
