// Exercice 3 - Correction J.M.B.

#include <stdio.h>

// IMPORTANT : Les fonctions auxillaires sont toujours placées AVANT la boucle
// principale "main" sinon cette dernière ne saura pas les reconnaître.
float mean(int a, int b, int c)
{
	return 1.0*(a+b+c)/3;	// 1.0* permet de passer d'un "int" à un "float"
}

int max(int a, int b, int c)
{
	int maximum;

	if (a > b)
		maximum = a;		// accolades pas nécessaires si 1 seule instruction
	else					// derrière
		maximum = b;

	if (c > maximum)
		maximum = c;

	return maximum;
}

float meanMin(int a, int b, int c)
{
	int sum, maxi;

	sum = a+b+c;
	maxi = max(a, b, c);

	return 1.0*(sum-maxi)/2;
}

int main(int argc, char *argv[]) // équivalent de int main() ou de int main(void)
{
	// 1- Déclaration des variables
	int a, b, c;

	// 2- Saisie des 3 entiers a, b et c
	printf("Entrez l'entier a : ");
	scanf("%d", &a);
	printf("Entrez l'entier b : ");
	scanf("%d", &b);
	printf("Entrez l'entier c : ");
	scanf("%d", &c);

	// 3- Sorties avec appel des fonctions
	printf("\nLa moyenne de a, b et c vaut : %f\n", mean(a,b,c));
	printf("La plus grande valeur entre a, b et c vaut : %d\n", max(a,b,c));
	printf("La moyenne des deux plus petites valeurs entre a, b et c vaut : %f\n", meanMin(a, b, c));

	return 0;
}
