// Exercice 4 - Correction J.M.B.

// Cet exemple montre la différence de traitement arithmétique entre les variables
// de type "int" (entier) et "float" (virgule flottante) sur l'opérateur "/".
// Pour les "int" on utilise la division euclidienne ou entière.
// Pour les "float" on utilise la division flottante classique.

#include <stdio.h>

int main (void) {
	int i1 = 4321;
	int i2 = 5;
	int i3;
	float f1, f2;

	printf("a : %d\n", i1/100); // quotient ("/") de la division entière ("int") : 43
	printf("b : %d\n", i1%100); // reste    ("%") de la division entière ("int") : 21
	i3 = i2/2;
	printf("c : %d\n", i3);		// quotient ("/") de la division entière ("int") :  2
	f1 = i2/2;
	printf("d : %f\n", f1);		// passage du résultat entier en virgule flottante ("float") : 2.000000
	f2 = 1.0*i2/2;				// passage de la valeur "int" 5 en "float" 				  	 : 1.0*5 = 5.000000
	printf("e : %f\n", f2); 	// puis quotient ("/") de la division flottante ("float")    : 5.000000/2 = 2.500000
	return 0;
}
