// Feuille2 - Ex3 - Correction J.M.B.

#include <stdio.h>

int main(void)
{
	unsigned int i, j, n, sum;	// entiers positifs non signés
	double prod;			// type double pour aller le plus loin possible

	printf("\nEntrez un entier n : ");
	scanf("%d", &n);

	prod = 1;			// initialisation du produit par son élément neutre : (x , 1)
	for (i=0; i<=n && i<=n-i; i++)
	{
		sum = 0; 	// initialisation de la somme par son élément neutre : (+ , 0)
		for (j=i; j<=n-i; j++)
		{
			sum = sum + i*i + j;
			//printf("i = %d, j = %d - sum = %d\n", i, j, sum);
		}
		prod = prod * sum;
		//printf("\ni = %d, j = %d - prod = %f\n\n", i, j, prod);
	}
	
	printf("L'image g(%d) vaut : %f\n\n", n, prod); // LaTeX : $g(n)=\prod_{i=0}^n(\sum_{j=i}^{n-i}(i^2+j))$

	// Si 'prod' est de type "double" codé sur 8 octets et si n > 131 alors g(n) = inf
	// Si 'prod' est de type  "float" codé sur 4 octets et si n >  26 alors g(n) = inf
	// Si 'prod' est de type   "int"  codé sur 4 octets et si n >   9 alors g(n) <  0 !
	
	// Pour vérifier les tailles des types :
	//printf("Taille d'un double : %d octets\n", sizeof(double));
	//printf("Taille d'un float  : %d octets\n", sizeof(float));
	//printf("Taille d'un int    : %d octets\n\n", sizeof(int));

	return 0;
}

