// Examen - Ex2 - Correction J.M.B.

#include <stdio.h>
#include <math.h> // cf. sqrt(), lier avec "-lm" à la compilation !

int saisie(int min, int max);
float nombreOr1(int p);
float nombreOr2(float epsilon);

int main(void)
{
	// Petit aparté. Notez que le nombre d'or est la plus grande racine
	// d'une équation du 2nd degré où [a, b, c] = [1, -1, -1] !
	
	int p = saisie(5, 20); // nombre maximum d'itérations
	
	float eps;			   // précision minimum
	printf("Entrer une précision minimum : ");
	scanf("%f", &eps);
	
	float nOr1 = nombreOr1(p);   // 1- Calcul en un nombre fini de coups
	printf("-> Or|%d = %f\n\n", p, nOr1);

	float nOr2 = nombreOr2(eps); // 2- Calcul jusqu'à une précision finie
	printf("-> Or|%f = %f\n\n", eps, nOr2);
	
	float nOr = (1+sqrt(5))/2;   // 3- Calcul analytique
	printf("-> Or|-  = %f\n\n", nOr);
	
    return 0;
}

int saisie(int min, int max)
{
	int n;
	
	printf("Entrer un entier compris entre %d et %d : ", min, max);
	scanf("%d", &n);
	
	while ((n < min) || (n > max))
	{
		printf("...entre %d et %d !!! : ", min, max);
		scanf("%d", &n);
	}
	
	return n;
}

float nombreOr1(int p)
{
	int i;
	float phi = 1;
	
	for (i = 0; i < p; i++)
	{
		//printf("phi|%d = %f\n", i, phi);
		phi = 1 + 1/phi;
	}
	
	//printf("phi|%d = %f\n", i, phi);
	
	return phi;
}

float nombreOr2(float epsilon)
{
	int i = 0;
	float phi = 1;
	
	while(fabs(1 + 1/phi - phi) >= epsilon) // NB : fabs() est la fonction x -> |x| pour les 'float'
	{
		//printf("phi|%d = %f et |phi|%d - phi|%d| = %f\n", i, phi, i+1, i, fabs(1 + 1/phi - phi));
		phi = 1 + 1/phi;
		
		i++;
	}
	
	//printf("phi|%d = %f et |phi|%d - phi|%d| = %f\n", i, phi, i+1, i, fabs(1 + 1/phi - phi));
	
	return phi;
}

