// Examen - Ex3 - Correction J.M.B.

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>

void clean_stdin(void);
char lireCaractere();
char lireLettre();
int lireMot(char mot[30]);
int gagne(int n, int devinees[30]);
void afficherMot(char mot[30], int n, int devinees[30]);
char proposerLettre1();
int estDejaProp(char c, char dejaProp[34], int t);
char proposerLettre2(char dejaProp[34], int t);
void verifierLettre(char l, char dejaProp[34], int *t, char mot[30], int n, int devinees[30], int *essais);
void jouerTour(char dejaProp[34], int *t, char mot[30], int n, int devinees[30], int *essais);

int main(void)
{
	srand(time(NULL));

	int i, n;
	char mot[30];
	int devinees[30];
	char dejaProp[34];
	int essais = 8, t = 0;
	
	printf("Proposez un mot : ");
	scanf("%s", mot);
	n = (int)strlen(mot);
	
	for (i = 0; i < n; i++)
		devinees[i] = 0;
	
	printf("Mot : ");
	afficherMot(mot, n, devinees);
	printf(", %d essais\n", essais);
	
	while (essais > 0 && !gagne(n, devinees))
	{
		jouerTour(dejaProp, &t, mot, n, devinees, &essais);
	}
	
	return 0;
}

void clean_stdin(void)
{
	int c;
        
	do {
		c = getchar();
	} while (c != '\n' && c != EOF);
}

char lireCaractere()
{
	char c;
	
	printf("Proposez un caractère : ");
	c = getchar(); clean_stdin();
	
	return c;
}

char lireLettre()
{	
	char l;

	printf("Proposez une lettre ou 'entrer' : ");
	l = getchar(); clean_stdin();
	
	if ((l < 'a' || l > 'z') && (l != '\n'))
	{	
		l = lireLettre();
	}
	
	return l;
}

int lireMot(char mot[30])
{
	char c;
	int i = 0;
	printf("Proposez un mot :\n");
	
	while ((c = lireLettre()) != '\n')
	{
		mot[i] = c;
		i++;
	}
	mot[i] = '\0';
	
	return i;
}

void afficherMot(char mot[30], int n, int devinees[30])
{
	int i;
	
	for (i = 0; i < n; i++)
	{
		if (devinees[i])
			printf("%c", mot[i]);
		else
			printf("-");
	}
}

int gagne(int n, int devinees[30])
{
	int i = 0;
	
	while (devinees[i] && (i < n))
	{
		i++;
	}
	
	return devinees[i];
}

char proposerLettre1()
{
	char c = (char) (97 + rand()%26);

	return c;
}

int estDejaProp(char c, char dejaProp[34], int t)
{
	int i = 0;
	
	while ((c != dejaProp[i]) && (i < t))
	{
		i++;
	}
	
	return !(c != dejaProp[i]);
}

char proposerLettre2(char dejaProp[34], int t)
{
	char c = (char) (97 + rand()%26);

	while (estDejaProp(c, dejaProp, t))
	{
		c = proposerLettre2(dejaProp, t);
	}
	
	return c;
}

void verifierLettre(char l, char dejaProp[34], int *t, char mot[30], int n, int devinees[30], int *essais)
{
	int i, trouve = 0;
		
	dejaProp[*t] = l;
	*t = *t + 1;
	
	for (i = 0; i < n; i++)
	{
		if (mot[i] == l)
		{
			devinees[i] = 1;
			trouve = 1;
		}
	}
	
	if (trouve == 0)
	{
		*essais = *essais - 1;
	}
}

void jouerTour(char dejaProp[34], int *t, char mot[30], int n, int devinees[30], int *essais)
{
	char l = proposerLettre2(dejaProp, *t);
	verifierLettre(l, dejaProp, t, mot, n, devinees, essais);
	
	printf("Lettre choisie : %c\n", l);
	
	if (gagne(n, devinees))
	{
		printf("Bravo, le mot était %s.\n", mot);
	}
	else
	{
		printf("Mot : ");
		afficherMot(mot, n, devinees);
		printf(", %d essais\n", *essais);
	}
}






