// Exercice 6 - Correction J.M.B.

#include <stdio.h>

int isTurtleWinner(float d, float t, float vt, float vl)
{
	int turtleWins = 0;
	float turtleRaceTime = d / vt;	// Temps de parcours de la tortue [s]
	float hareRaceTime   = d / vl;	// Temps de parcours du lièvre    [s]

	if (turtleRaceTime < hareRaceTime + t)
	{
		turtleWins = 1;				// La tortue gagne
	}

	return turtleWins;
}

int main(int argc, char *argv[])
{
	float d, t, vt, vl;				// distance, temps de retard, vitesse de la tortue et du lièvre (unités SI)
	int hh, mm, ss;					// heures, minutes, secondes de retard au départ du lièvre
	float vt_;						// vitesse de la tortue [cm/s]

	printf("=== Le lièvre et la tortue ===\n");
	printf("Distance à parcourir [m] : ");
	scanf("%f", &d);

	printf("Temps au bout duquel le lièvre part après la tortue :\n");
	printf("[hh] : ");
	scanf("%d", &hh);
	printf("[mm] : ");
	scanf("%d", &mm);
	printf("[ss] : ");
	scanf("%d", &ss);
	t = hh * 3600.0 + mm * 60.0 + ss; 		//conversion des hh, mm, ss en secondes

	printf("Vitesse de la tortue [cm/s] : ");
	scanf("%f", &vt_);
	vt = vt_/100;							//conversion des [cm/s] en [m/s]

	printf("Vitesse du lièvre [m/s] : ");
	scanf("%f", &vl);

	if (isTurtleWinner(d, t, vt, vl))
	{
		printf("\nLa tortue a gagné ! 'Rien ne sert de courir, il faut partir à point' !");
	}
	else
	{
		printf("\n'Le lièvre n'avait que quatre pas à faire' !");
	}

	return 0;
}
