// Feuille4 - Ex2 - Correction J.M.B.

#include <stdio.h>

int saisie(int min)
{
	int n;
	scanf("%d", &n);
	
	if (n < min)
	{
		n = saisie(min);
	}
	return n;
}

int fibo(int m)
{
	if (m == 0)
		return 0;
	else if (m == 1)
		return 1;
	else
		return fibo(m-2) + fibo(m-1);
}

int nFibo(int a, int b)
{
	int compt = 0;
	int f0 = 0, f1 = 1, tmp;
	
	while(f1 <= b)
	{
		tmp = f0;
		f0  = f1;
		f1  = tmp + f0;

		if ((a <= f1) && (f1 <= b))
		{
			printf("fib = %d\n", f1);
			compt++;
		}
	}
	return compt;
}

void dispFibo(int m)
{
	int compt = 0;
	int f0 = 0, f1 = 1, tmp;
	
	while(compt < m)
	{
		tmp = f0;
		f0  = f1;
		f1  = tmp + f0;

		if (f1%2 == 1)
		{
			printf("fib = %d\n", f1);
			compt++;
		}
	}
	printf("\n");
}

int main(void)
{
	printf("Entrer un entier a tel que a >= 2 : ");
	int a = saisie(2);
	
	printf("Entrer un entier b tel que b >= a : ");
	int b = saisie(a);
	
	//printf("\nF(%d) = %d\n", a, fibo(a));
	//printf("F(%d) = %d\n\n", b, fibo(b));
	
	printf("\nEntre %d et %d la suite de Fibonacci a %d termes.\n", a, b, nFibo(a, b));
	
	printf("\nEntrer un entier m tel que m >= 2 : ");
	int m = saisie(2);
	dispFibo(m);
	
	return 0;
}

