// Feuille4 - Ex3 - Correction J.M.B.

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int alea()
{
	return (1 + rand()%10); // entre 1 et 10
}

void disp(int pos, int nObs)
{
	int i;
	printf("-");
	
	for(i = 0; i < pos-1; i++)
		printf("|-");
	
	printf("|o");
	
	for(i = 0; i < nObs-pos; i++)
		printf("|-");
		
	printf("\n");
}

int parcours(int nObs)
{
	int pos = 1, tentatives = 0, tir;
	disp(pos, nObs);
	
	while(pos < nObs)
	{
		tir = alea(); // tirage entre 1 et 10
		tentatives++;
		
		if (pos == 1)
		{
			if (tir <= 7) // 70% de chances de sauter
			{
				pos++;
				disp(pos, nObs);
			}
		}
		else
		{
			if (tir <= 7) // 70% de chances de sauter
			{
				pos++;
				disp(pos, nObs);
			}
			
			if(tir == 10) // 10% de reculer
			{
				pos--;
			}
		}
	}
	
	return tentatives;
}

float parcoursMoyen(int nObs, int passages)
{
	int i, essais, sum = 0;
	
	for (i = 0; i < passages; i++)
	{
		essais = parcours(nObs);
		sum = sum + essais;
		printf("\n");
	}
	
	return (1.0*sum)/passages;
}

int main(void)
{
	srand(time(NULL));
	int nObstacles, nPassages;
	
	printf("Combien d'obstacles y a-t-il sur le parcours ? : ");
	scanf("%d", &nObstacles);
	
	printf("Il y a eu %d tentatives pour parcourir %d obstacles\n", parcours(nObstacles), nObstacles);
	
	printf("\nCombien de passages sur ce parcours ? : ");
	scanf("%d", &nPassages);
	
	printf("Il y a eu en moyenne %f tentatives sur ce parcours de %d obstacles après %d de passages \n", parcoursMoyen(nObstacles, nPassages), nObstacles, nPassages);
	
	return 0;
}
