// Feuille6 - Ex2 - Correction J.M.B.

#include <stdio.h>

int comparChaine(char chaine1[], char chaine2[]);
void afficheComparChaine(char chaine1[], char chaine2[]);

int chaineIncluseInd(char chaine1[], char chaine2[], int iDebut);
void afficheChaineIncluseInd(char chaine1[], char chaine2[], int iDebut);

int comptChr(char chaine[]);
int chaineIncluse(char chaine1[], char chaine2[]);
void afficheChaineIncluse(char chaine1[], char chaine2[]);

int main(void)
{
	char mot1[]="polaire";
	char mot2[]="solaire";
	char mot3[]="soleil";
	char mot4[]="sol";
	
	printf("1er  mot : %s - 2ème mot : %s\n", mot1, mot2);
	printf("3ème mot : %s  - 4ème mot : %s\n\n", mot3, mot4);
	
	afficheComparChaine(mot1, mot2);
	afficheComparChaine(mot2, mot3);
	afficheComparChaine(mot3, mot4);
	
	char s1[]="en";
	char s2[]="Il entend";
	char s3[]="end";
	char s4[]="ende";
	
	printf("\nDans la chaîne '%s' il y a %d caractères et :\n", s2, comptChr(s2));
	
	afficheChaineIncluseInd(s1, s2, 3);
	afficheChaineIncluseInd(s1, s2, 6);
	afficheChaineIncluseInd(s1, s2, 7);
	afficheChaineIncluseInd(s3, s2, 6);
	afficheChaineIncluseInd(s4, s2, 6);
	
	printf("\nDe même :\n");
	afficheChaineIncluse(s1, s2);
	afficheChaineIncluse(s3, s2);
	afficheChaineIncluse(s4, s2);
	
    return 0;
}

int comparChaine(char chaine1[], char chaine2[])
{
	int i = 0, stop = 0, status;
	
	while ( ( (chaine1[i] != '\0') || (chaine2[i] != '\0') ) && (stop != 1) )
	{	
		if ((int)chaine1[i] < (int)chaine2[i])
		{
			status = -1;
			stop = 1;
		}
		else if ((int)chaine1[i] > (int)chaine2[i])
		{
			status = 1;
			stop = 1;
		}
		else
		{
			status = 0;
			i++;
		}
	}
	
	return status;
}

void afficheComparChaine(char chaine1[], char chaine2[])
{
	int test = comparChaine(chaine1, chaine2);
	
	if (test == -1)
		printf("-> '%s' < '%s'\n", chaine1, chaine2);
	else if (test == 1)
		printf("-> '%s' < '%s'\n", chaine2, chaine1);
	else
		printf("-> '%s' = '%s'\n", chaine1, chaine2);
}

int chaineIncluseInd(char chaine1[], char chaine2[], int iDebut)
{
	int i = 0, stop = 0, inclus = 0; // "stop" est faux et "s1 inclus dans s2" est faux
	
	while ( (chaine1[i] != '\0') && (stop != 1) )
	{	
		if (chaine1[i] != chaine2[iDebut + i])
		{
			stop = 1;
			inclus = 0;
			
			//printf("%c est différent de %c donc inclus = %d\n", chaine1[i], chaine2[iDebut + i], inclus);
		}
		else
		{
			inclus = 1;
			
			//printf("%c est égal à %c donc inclus = %d\n", chaine1[i], chaine2[iDebut + i], inclus);
		}
		
		i++;
	}
	
	return inclus;
}

void afficheChaineIncluseInd(char chaine1[], char chaine2[], int iDebut)
{
	int test = chaineIncluseInd(chaine1, chaine2, iDebut);
	
	if (test == 1)
		printf("-> '%s' est inclus dans '%s' à l'indice %d\n", chaine1, chaine2, iDebut);
	else
		printf("-> '%s' n'est pas inclus dans '%s' à l'indice %d\n", chaine1, chaine2, iDebut);
}

int comptChr(char chaine[])
{
	int i = 0;
	
	while(chaine[i] != '\0')
	{
		i++;	
	}
	
	return i;
}

int chaineIncluse(char chaine1[], char chaine2[])
{
	int nChr = comptChr(chaine2);
	int i = 0, stop = 0, inclus = 0;
	
	while ( (stop != 1) && (i < nChr) )
	{
		if (chaineIncluseInd(chaine1, chaine2, i) == 1)
		{
			stop = 1;
			inclus = 1;
			
			//afficheChaineIncluseInd(chaine1, chaine2, i);
		}
		/*else
		{
			afficheChaineIncluseInd(chaine1, chaine2, i);
		}*/
		
		i++;
	}
	
	return inclus;
}

void afficheChaineIncluse(char chaine1[], char chaine2[])
{
	int test = chaineIncluse(chaine1, chaine2);
	
	if (test == 1)
		printf("=> '%s' est inclus dans '%s'\n", chaine1, chaine2);
	else
		printf("=> '%s' n'est pas inclus dans '%s'\n", chaine1, chaine2);
}

