// TP noté 1 - Ex2 - Correction J.M.B.

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

void init(int tab[], int n);
void affiche(int tab[], int n);
int recherche(int tab[], int n, int x);
void ajout(int tab[], int n, int x);

int main()
{
	srand(time(NULL));

	// Question n°6
	int n = 10;
    int tableau[n];
        
	init(tableau, n);
	affiche(tableau, n);
	printf("\n");
	
	int x;
	printf("Valeur d'un x à insérer : ");
	scanf("%d", &x);
	printf("\nPour insérer x = %d, l'indice qui suit est le n°%d et donc", x, recherche(tableau, n, x));
	
	ajout(tableau, n, x);
	affiche(tableau, n);
	printf("\n\n");
		
	return 0;
}

void init(int tab[], int n)		// Question n°7
{
	int i;
	
	for (i = 0; i < n; i++)
	{
		tab[i] = 10*i + rand()%10;	// entre [10i, 10(i+1)[
	}
}

void affiche(int tab[], int n) 	// Question n°8
{
    int i;
    
    printf("\nTableau = [");
    for (i = 0; i < n-1; i++)
    {
        printf("%d, ", tab[i]);
    }
    printf("%d]", tab[n-1]);
}

int recherche(int tab[], int n, int x)	// Question n°9
{
	int i = 0;
	
	while ((tab[i] <= x) && (i < n))
	{
		i++;
	}
	
	return i;
}

void ajout(int tab[], int n, int x)
{
	int i;
	int tab2[n+1];
	int ins = recherche(tab, n, x);
	
	for (i = 0; i < ins; i++)
	{
		tab2[i] = tab[i];
	}
	tab2[ins] = x;
	for (i = ins+1; i < n+1; i++)
	{
		tab2[i] = tab[i-1];
	}
	
	for (i = 0; i < n; i++)
	{
		tab[i] = tab2[i];
	}
}

